# $Id: perl-Hdlist.spec,v 1.20 2005/03/15 00:51:10 othauvin Exp $
#
# This spec is part of perl-Hdlist module, modify it from Mandrakelinux CVS

%define version	0.07
%define release %mkrel 1

%define module	Hdlist
%define name	perl-%{module}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl bindings to use rpmlib and manage hdlist files
License:	GPL
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/soft/perl-Hdlist/
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires: perl-devel >= 5.8.0
BuildRequires: rpm-devel
BuildRequires: perl-Digest-SHA1
BuildRequires: librpmconstant-devel
BuildRequires: packdrake
BuildRequires: gnupg
Requires:	perl

%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

It include:
- genrepository, a tools to generate hdlists
- rpm_produced, give what rpm will be produced by a src.rpm or a specfile.

This module is still under development, and is provided for
testing and development purposes only. API may change.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc examples hrpmreb-macros
%_bindir/*
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Tue Mar 22 2005 Olivier Thauvin <nanardon@mandrake.org> 0.07-1mdk
- fix segfault in newdep()
- allow to pass undef

* Tue Mar 15 2005 Olivier Thauvin <nanardon@zarb.org> 0.06-1mdk
- update doc
- minor fix

* Tue Mar 08 2005 Olivier Thauvin <nanardon@mandrake.org> 0.05-1mdk
- update doc
- fix build*()

* Mon Mar 07 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.04-1mdk
- add hrpmreb
- allow to pass cookies from installsrpms to newspec
- allow to pass force / anyarch to newspec
- remove forgot debug fprintf
 
* Sat Mar 05 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.03-1mdk
- fix spec build
- add expandnumeric()
- add resetrc
- fix rpmlog()

* Fri Mar 04 2005 Olivier Thauvin <nanardon@mandrake.org> 0.02-1mdk
- BuildRequires (Christiaan Welvaart <cjw@daneel.dyndns.org>)
- split doc

* Tue Feb 22 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-1mdk
- use rpmconstant
- lot of fix
 
* Tue Jan 11 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20050111.1mdk
- 20040111

* Wed Dec 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20041222.1mdk
- cvs 20041222

* Tue Nov 16 2004 Michael Scherer <misc@mandrake.org> 0.01-0.20040809.3mdk
- Rebuild for new perl

* Mon Aug 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040809.2mdk
- add missing file (/me sucks)

* Mon Aug 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040809.1mdk
- cvs 20040809

* Mon Aug 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040802.1mdk
- first package
 
* Thu Jul 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.1mdk
- initialize spec
